﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace CA2
{
    class Expensive
    {
        private decimal _amount;

        public decimal Amount
        {
            get { return _amount; }

            set
            {
                TotalExpenses += value;
                _amount = value;
            }
        }

        public DateTime ExpenseDate { get; set; }
        public string Category { get; set; }

        public static decimal TotalExpenses;

        public Expensive()
        {
            
        }

        public Expensive(decimal amount, DateTime date, string category)
        {
            Amount = amount;
            ExpenseDate = date;
            Category = category;

        }

        // Method
        public override string ToString()
        {
            return $"{Category} {Amount:C} on {ExpenseDate.ToShortDateString()}";
        }
    }
}
